Subject: bug#39187: Fwd: "Package refresh is already in progress, please wait..."

From: Jean-Christophe Helary <[email-masked]>
Date: Tue, 11 Feb 2020 15:38:25 +0900

> On Feb 11, 2020, at 15:25, Stefan Kangas <[email-masked]> wrote:
> 
> Jean-Christophe Helary <[email-masked]>
> writes:
> 
>>> It should no longer display an error message and instead start a new
>>> package archive refresh.
>> 
>> Stephan
>> 
>> Excellent. Thank you so much.
>> 
>> When the connection is off, there is a message that the packages can't be downloaded.
>> 
>> Then, when I reconnect to the internet, the refresh works as expected.
> 
> Thank you very much for testing and describing the behaviour you see
> in detail.

Well, you wanted a test :)

>  That confirms that this bug should no longer block the
> emacs-27 release.
> 
>> Would it be possible to also have that on master ?
> 
> I'm working on a different fix for the master branch, which will try
> to avoid running more than one refresh at the same time.  It's on the
> top of my things to do in Emacs, but I unfortunately haven't found the
> time to finish it yet.

Too bad, because I usually work on a recent local build of master and that would be really nice to have a temporary solution there as well.

Jean-Christophe